Subject: Re: bug#76132: Clojure-style auto-gensyms for macros

From: Sean Whitton <[email-masked]>
Date: Sun, 09 Feb 2025 09:51:38 +0000

Hello,

On Sat 08 Feb 2025 at 09:54am +02, Eli Zaretskii wrote:

> I'm very hesitant to extend the Emacs Lisp language with such
> features, when this can be had for a price of a simple function call.
> We have enough magic names and punctuation characters already, and
> they get in the way of code readability.

Yeah.  I think we should not add this for the similar reasons to how we
don't have reader macros: Lisp is an almost syntax-free language, and
there are advantages to that.

Any step away from that cuts deeply into the advantages, and the
corresonding benefits of the new syntax are often very minor.

cl-with-gensyms is only slightly more typing, and is more trad Lisp
style.

-- 
Sean Whitton